"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.workspaceActions = void 0;

var _react = _interopRequireDefault(require("react"));

var _reactDom = _interopRequireDefault(require("react-dom"));

var _Configuration = _interopRequireDefault(require("./components/Configuration"));

var _SyncProviderFactory = _interopRequireWildcard(require("./providers/SyncProviderFactory"));

function _getRequireWildcardCache() { if (typeof WeakMap !== "function") return null; var cache = new WeakMap(); _getRequireWildcardCache = function () { return cache; }; return cache; }

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const workspaceActions = [{
  label: 'Gist Sync - Send',
  icon: 'fa-upload',
  action: async (context, _) => {
    const factory = new _SyncProviderFactory.default(context);
    const provider = factory.getProvider(_SyncProviderFactory.SyncProviders.GitHub);
    provider.send();
  }
}, {
  label: 'Gist Sync - Receive',
  icon: 'fa-download',
  action: async (context, _) => {
    const factory = new _SyncProviderFactory.default(context);
    const provider = factory.getProvider(_SyncProviderFactory.SyncProviders.GitHub);
    provider.receive();
  }
}, {
  label: 'Sync - Configuration',
  icon: 'fa-cogs',
  action: (context, _) => {
    const root = document.createElement('div');

    _reactDom.default.render( /*#__PURE__*/_react.default.createElement(_Configuration.default, {
      insomniaContext: context
    }), root);

    context.app.dialog('Sync - Configuration', root);
  }
}];
exports.workspaceActions = workspaceActions;