"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

class SyncProvider {
  constructor(insomniaContext) {
    _defineProperty(this, "insomniaContext", void 0);

    this.insomniaContext = insomniaContext;
  }

  async importToInsomnia(content) {
    await this.insomniaContext.data.import.raw(content);
  }

  async exportFromInsomnia() {
    const data = await this.insomniaContext.data.export.insomnia({
      includePrivate: false,
      format: 'json'
    });
    return JSON.stringify(JSON.parse(data), null, 2);
  }

  async getInsomniaStoreData(key) {
    return this.insomniaContext.store.getItem(key);
  }

  async setInsomniaStoreData(key, value) {
    return this.insomniaContext.store.setItem(key, value);
  }

}

var _default = SyncProvider;
exports.default = _default;