"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.SyncProviders = exports.default = void 0;

var _GitHubSyncProvider = _interopRequireDefault(require("./GitHubSyncProvider"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var SyncProviders;
exports.SyncProviders = SyncProviders;

(function (SyncProviders) {
  SyncProviders["GitHub"] = "github";
})(SyncProviders || (exports.SyncProviders = SyncProviders = {}));

class SyncProviderFactory {
  constructor(insomniaContext) {
    this.insomniaContext = insomniaContext;
  }

  getProvider(provider) {
    switch (provider) {
      case SyncProviders.GitHub:
        return new _GitHubSyncProvider.default(this.insomniaContext);

      default:
        throw new Error();
    }
  }

}

var _default = SyncProviderFactory;
exports.default = _default;